### A free/open-source library for quantitative finance

Public Member Functions
BlackScholesMertonProcess Class Reference
Stochastic processes

Merton (1973) extension to the Black-Scholes stochastic process. More...

`#include <ql/processes/blackscholesprocess.hpp>`

Inheritance diagram for BlackScholesMertonProcess:
[legend]

List of all members.

## Public Member Functions

| BlackScholesMertonProcess (const Handle< Quote > &x0, const Handle< YieldTermStructure > &dividendTS, const Handle< YieldTermStructure > &riskFreeTS, const Handle< BlackVolTermStructure > &blackVolTS, const boost::shared_ptr< discretization > &d=boost::shared_ptr< discretization >(new EulerDiscretization))

## Detailed Description

Merton (1973) extension to the Black-Scholes stochastic process.

This class describes the stochastic process for a stock or stock index paying a continuous dividend yield given by

Examples:
  ConvertibleBonds.cpp, DiscreteHedging.cpp, and EquityOption.cpp.